/* Emacs style mode select   -*- C++ -*- 
 *-----------------------------------------------------------------------------
 *
 * $Id: doomtype.h,v 1.4 1999/10/12 13:00:56 cphipps Exp $
 *
 *  PowerDoom, a multi-platform Doom port to the PowerPak GSDK
 *  based on lsdldoom, the SDL Port of the BOOM port of DOOM
 *  Copyright (C) 1999 by
 *  id Software, Chi Hoang, Lee Killough, Jim Flynn, Rand Phares, Ty Halderman
 *   and Colin Phipps
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 
 *  02111-1307, USA.
 *
 * DESCRIPTION:
 *      Simple basic typedefs, isolated here to make it easier
 *       separating modules.
 *
 *-----------------------------------------------------------------------------*/

#ifndef __DOOMTYPE__
#define __DOOMTYPE__

#ifndef __BYTEBOOL__
#define __BYTEBOOL__
/* Fixed to use builtin bool type with C++. */
#ifdef __BEOS__
  #include <SupportDefs.h>
  typedef bool boolean;
#else

#ifdef __cplusplus
  typedef bool boolean;
#else
  #ifndef __BEOS__
  typedef enum {false, true} boolean;
  #endif
#endif
typedef unsigned char byte;
#endif

typedef signed long long int_64_t; 
typedef unsigned long long uint_64_t; 

/* CPhipps - use limits.h instead of depreciated values.h */
#include <limits.h>
#endif

